package com.ruoyi.project.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.mapper.TrsFileInfoMapper;
import com.ruoyi.project.domain.TrsFileInfo;
import com.ruoyi.project.service.ITrsFileInfoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 文件校对Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-27
 */
@Service
public class TrsFileInfoServiceImpl implements ITrsFileInfoService 
{
    @Autowired
    private TrsFileInfoMapper trsFileInfoMapper;

    /**
     * 查询文件校对
     * 
     * @param id 文件校对主键
     * @return 文件校对
     */
    @Override
    public TrsFileInfo selectTrsFileInfoById(Long id)
    {
        return trsFileInfoMapper.selectTrsFileInfoById(id);
    }

    /**
     * 查询文件校对列表
     * 
     * @param trsFileInfo 文件校对
     * @return 文件校对
     */
    @Override
    public List<TrsFileInfo> selectTrsFileInfoList(TrsFileInfo trsFileInfo)
    {
        return trsFileInfoMapper.selectTrsFileInfoList(trsFileInfo);
    }

    /**
     * 新增文件校对
     * 
     * @param trsFileInfo 文件校对
     * @return 结果
     */
    @Override
    public int insertTrsFileInfo(TrsFileInfo trsFileInfo)
    {
        return trsFileInfoMapper.insertTrsFileInfo(trsFileInfo);
    }

    /**
     * 修改文件校对
     * 
     * @param trsFileInfo 文件校对
     * @return 结果
     */
    @Override
    public int updateTrsFileInfo(TrsFileInfo trsFileInfo)
    {
        return trsFileInfoMapper.updateTrsFileInfo(trsFileInfo);
    }

    /**
     * 批量删除文件校对
     * 
     * @param ids 需要删除的文件校对主键
     * @return 结果
     */
    @Override
    public int deleteTrsFileInfoByIds(String ids)
    {
        return trsFileInfoMapper.deleteTrsFileInfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除文件校对信息
     * 
     * @param id 文件校对主键
     * @return 结果
     */
    @Override
    public int deleteTrsFileInfoById(Long id)
    {
        return trsFileInfoMapper.deleteTrsFileInfoById(id);
    }
}
